Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class TBSRequest

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ocsp.TBSRequest

All Implemented Interfaces:
  DEREncodable

public class TBSRequest
extends ASN1Encodable

Constructor Summary
`TBSRequest(ASN1Sequence seq)`
`TBSRequest(GeneralName requestorName, ASN1Sequence requestList, X509Extensions requestExtensions)`

Method Summary
`static TBSRequest` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static TBSRequest` | `getInstance(java.lang.Object obj)`
`X509Extensions` | `getRequestExtensions()`
`ASN1Sequence` | `getRequestList()`
`GeneralName` | `getRequestorName()`
`DERInteger` | `getVersion()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TBSRequest

    public TBSRequest(GeneralName requestorName,
                      ASN1Sequence requestList,
                      X509Extensions requestExtensions)

### TBSRequest

    public TBSRequest(ASN1Sequence seq)

Method Detail

### getInstance

    public static TBSRequest getInstance(ASN1TaggedObject obj,
                                         boolean explicit)

### getInstance

    public static TBSRequest getInstance(java.lang.Object obj)

### getVersion

    public DERInteger getVersion()

### getRequestorName

    public GeneralName getRequestorName()

### getRequestList

    public ASN1Sequence getRequestList()

### getRequestExtensions

    public X509Extensions getRequestExtensions()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       TBSRequest      ::=     SEQUENCE {
           version             [0]     EXPLICIT Version DEFAULT v1,
           requestorName       [1]     EXPLICIT GeneralName OPTIONAL,
           requestList                 SEQUENCE OF Request,
           requestExtensions   [2]     EXPLICIT Extensions OPTIONAL }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD